Bug 44472 - Typo in users/user module: uses length from wrong UDM password policy object
Typo in users/user module: uses length from wrong UDM password policy object
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-0-errata
Assigned To: Arvid Requate
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-26 16:13 CEST by Arvid Requate
Modified: 2017-06-15 17:58 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.006
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
users_user_consider_smbpwhistoryPolicy.patch (847 bytes, patch)
2017-04-26 16:13 CEST, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-04-26 16:13:26 CEST
Created attachment 8808 [details]
users_user_consider_smbpwhistoryPolicy.patch

There is a typo in the users/user module, which causes it to use the minimal password length from a UDM password policy (whether that's avaiable or not) instead of the length value from the Samba policy.
Comment 1 Arvid Requate univentionstaff 2017-04-26 16:33:18 CEST
Fixed along with Bug 42148.

Advisory: univention-directory-manager-modules.yaml
Comment 2 Florian Best univentionstaff 2017-04-28 08:54:35 CEST
Well, this makes no difference:
  2040 »   »   »   pwhistoryPolicy = self.loadPolicyObject('policies/pwhistory')
  2154 »   »   »   »   smbpwhistoryPolicy = self.loadPolicyObject('policies/pwhistory')

The samba policy is still NOT applied.
So at least the YAML entry is wrong.
Comment 3 Arvid Requate univentionstaff 2017-04-28 12:31:59 CEST
Yeah, right, I adjusted the advisory.
Comment 4 Florian Best univentionstaff 2017-04-28 12:39:51 CEST
OK
Comment 5 Janek Walkenhorst univentionstaff 2017-06-15 17:58:11 CEST
<http://errata.software-univention.de/ucs/4.2/41.html>